<template>
  <section class="content-page container content">
    <div class="content-page__breadcrumbs">
      <nuxt-link to="/">Главная</nuxt-link>
      <span>О нас</span>
    </div>
    <div class="content-page__wrapper" v-html="meta ? meta.content : ''"></div>
  </section>
</template>

<script>
  import { getSeoBySlug } from '../service/deliroom-service';

  export default {
    name: 'AboutPage',
    asyncData: async () => ({
      meta: await getSeoBySlug('/about')
    }),

    head() {
      if (!this.meta) return;

      return {
        title: this.meta.title,
        meta: this.meta.meta.map((metaItem) => ({
          ...metaItem,
          hid: metaItem.name.toLowerCase(),
          name: metaItem.name.toLowerCase(),
        })),
      }
    }
  }
</script>
